<?php

function frontier_post_add_edit($frontier_post_shortcode_parms = array())
	{
	require_once(ABSPATH . '/wp-admin/includes/post.php');
	global $current_user;
	//error_log(print_r($frontier_post_shortcode_parms, true));	
	
	$fps_access_check_msg 		= "";
	$user_can_edit_this_post 	= false;
	
	//Reset access message
	$fps_access_check_msg = "";
	
	//Get Frontier Post capabilities
	$fp_capabilities	= frontier_post_get_capabilities();
	
	//$fp_settings		= frontier_post_get_settings()
	
	// Get vars from shortcode 
	extract($frontier_post_shortcode_parms);
	
	//error_log("After extract -----> ");
	//error_log(print_r($frontier_post_shortcode_parms, true));		
	
	if (!is_user_logged_in())
		{
			echo "<br>---- ";
			if (get_option("frontier_post_show_login", "false") == "true" )
				echo __("Please log in !", "frontier-post")."&nbsp;<a href=".wp_login_url().">".__("Login Page", "frontier-post")."</a>&nbsp;&nbsp;";
			else
				_e("Please log in !", "frontier-post");
					
			echo "------<br><br>";
		}
	else	
		{
		// Check if new, and if Edit that current users is allowed to edit
		if(isset($_REQUEST['task']) && $_REQUEST['task']=="edit")
			{
			$thispost			= get_post($_REQUEST['postid']);
			$user_post_excerpt	= get_post_meta($thispost->ID, "user_post_excerpt");
			$tmp_task_new 		= false;
			if ( frontier_can_edit($thispost) == true )
				$user_can_edit_this_post = true;
			}
		else
			{
			$tmp_post_type	= post_type_exists($frontier_add_post_type) ? $frontier_add_post_type : 'post';
			if ( frontier_can_add($tmp_post_type) == true )
				{
				if ( empty($thispost->ID) )
					{					
					$thispost 				= get_default_post_to_edit( "$tmp_post_type", true );
					$thispost->post_author 	= $current_user->ID;
					$thispost->post_type	= $tmp_post_type;
					//echo "New post for edit: ".$thispost->ID."<br>";
					}
				$_REQUEST['task']="new";
				$tmp_task_new = true;
				$user_can_edit_this_post = true;
				
				}
			}
			
		}
		
	
	
	
	// Do not proceed with all the processing if user is not able to add/edit
	if ( $user_can_edit_this_post == true )	
		{
		
		$post_id = $thispost->ID;
		
		$concat= get_option("permalink_structure")?"?":"&";
	
		//get users role:
		$users_role 		= frontier_get_user_role();
		
		//******************************************************************************************
		// Set defaults, so post can be saved without errors
		//******************************************************************************************
		if(!isset($thispost->post_type))
			$thispost->post_type = 'post';
		
		if(!isset($thispost->post_content))
			$thispost->post_content = '';
		
		// Call media fix (to support older versions) 
		frontier_media_fix( $post_id );
		
		//******************************************************************************************
		// Manage post status
		//******************************************************************************************
		
		//build post status list based on current status and users capability
		$tmp_status_list = get_post_statuses( );
		$tmp_status_list = array_reverse($tmp_status_list);
		
		// Remove private status from array if not allowed
		if (!current_user_can('frontier_post_can_private'))
			unset($tmp_status_list['private']);
		
		// Remove draft status from array if user is not allowed to use drafts
		if (!current_user_can('frontier_post_can_draft'))
			unset($tmp_status_list['draft']);
		
		// Remove pending status from array if user is not allowed to use pending status or if it is a page we are editing
		if ( !current_user_can('frontier_post_can_pending') || ($thispost->post_type == 'page') )
			unset($tmp_status_list['pending']);
		
		
		// Remove publish status from array if not allowed
		if (!current_user_can( 'frontier_post_can_publish' ))
			unset($tmp_status_list['publish']);
			
		
		// Set default status if new post - Check if the default status is in the allowed statuses, and if so set the default status
		$tmp_default_status 	= fp_get_option("fps_default_status", "publish");
		
		if ( ($tmp_task_new == true) && array_key_exists($tmp_default_status , $tmp_status_list))
			$thispost->post_status	= $tmp_default_status;
			
		$status_list 		= array();
		$tmp_post_status 	= $thispost->post_status ? $thispost->post_status : $tmp_default_status;
		
		// if The deafult status is not in the list, set default status to the first in the list
		if ( !in_array($tmp_post_status, array_keys($tmp_status_list)) )
			$tmp_post_status = current(array_keys($tmp_status_list));

		$status_list = $tmp_status_list;
		
		
		
		//**************************************************************************************************
		// -- Setup wp_editor layout
		// full: full Tiny MCE
		// minimal-visual: Teeny layout
		// minimal-html: simple layout with html options
		// text: text only
		//**************************************************************************************************
		
		
		// If capabilities is managed from other plugin, use default setting for all profiles
		if ( get_option("frontier_post_external_cap", "false") == "true" )
			$editor_type 				= fp_get_option("fps_default_editor", "full");
		else
			$editor_type 				= $fp_capabilities[$users_role]['fps_role_editor_type'] ? $fp_capabilities[$users_role]['fps_role_editor_type'] : "full"; 
		
		$editor_layout		 		= array('dfw' => false, 'tabfocus_elements' => 'sample-permalink,post-preview', 'editor_height' => 300 );
		$frontier_media_button		= current_user_can( 'frontier_post_can_media' ) ? current_user_can( 'frontier_post_can_media' ) : false;
		$frontier_editor_lines 		= fp_get_option_int('fps_editor_lines', 300);
		
		// Call to wp_editor in done in entry form
		
		//************************************************************************
		// Setup category	
		//************************************************************************
		
		// Do not manage categories for page
		if ( $thispost->post_type != 'page' )
			{
		
			// If capabilities is managed from other plugin, use default setting for all profiles
			if ( fp_get_option("fps_external_cap", "false") == "true" )
				$category_type 			= fp_get_option("fps_default_cat_select", "multi");
			else
				$category_type 			= $fp_capabilities[$users_role]['fps_role_category_layout'] ? $fp_capabilities[$users_role]['fps_role_category_layout'] : "multi"; 
	
		
			// Dont setup categories for pages
			if ( $thispost->post_type == 'page' )
				{
				$cats_selected = array();
				}
			else
				{
			
				$default_category			= $fp_capabilities[$users_role]['fps_role_default_category'] ? $fp_capabilities[$users_role]['fps_role_default_category'] : get_option("default_category"); 
		
				// set default category, if new and category parsed from shortcode, 
				if ( $tmp_task_new  )
					{
					$cats_selected = $frontier_cat_id;
					if ( count($frontier_cat_id) > 0 && $frontier_cat_id[0] > 0 )
						$default_category =  $frontier_cat_id[0];
					}
				else
					{
					$cats_selected	= $thispost->post_category;
					}
		
				// if no category selected (from post), insert default category
				if (empty($cats_selected[0]))
					$cats_selected[0] = $default_category;
		
				}
			
			// Set variable for hidden field, if category field is removed from the form
			$cats_selected_txt = implode(',', $cats_selected);
		
			
			// Build list of categories (3 levels)
			if ( ($category_type == "multi") || ($category_type == "checkbox") )
				{
				$catlist 		= array();
				$catlist 		= frontier_tax_list("category", fp_get_option("fps_excl_cats", ''), $frontier_parent_cat_id );
				}
			
			} // end exclude categories for pages
		
		
		//***************************************************************************************
		//* Set tags
		//***************************************************************************************
		
		if ( current_user_can( 'frontier_post_tags_edit' ) && ($thispost->post_type != 'page') )
			{
			$taglist = array();
			if (isset($thispost->ID))
				{
				$tmptags = get_the_tags($thispost->ID);
				if ($tmptags)
					{
					foreach ($tmptags as $tag) :
						array_push($taglist, $tag->name);
					endforeach;
					}
				}
			}
		
		$hide_post_status = ( fp_get_option("fps_hide_status", "false") == "true" ) ? true : false;
		
		$frontier_use_feat_img = fp_get_option("fps_show_feat_img", "false");
		
		} // end if OK to Edit
		
		
	if ($user_can_edit_this_post)
		{
		//include_once(frontier_load_form("frontier_post_form.php"));
		if ( fp_get_option_bool('fps_use_tax_form') )
			include_once(frontier_load_form("frontier_post_tax_form.php"));	
		else
			include_once(frontier_load_form("frontier_post_form.php"));
		}
		
	else
		{
		// Echo reason why user cant add/edit post.
		global $fps_access_check_msg;
		if ( empty($fps_access_check_msg) || ($fps_access_check_msg < " ") )
			echo __("You are not allowed to edit this post, sorry ", "frontier-post");
		else
			echo "<br>".$fps_access_check_msg;
		
		//Reset message once displayed
		$fps_access_check_msg = "";
		
		}

		
	} // end function



?>